Skip to content

Releases: Codeception/module-lumen

3.0.1

09 Feb 06:43
f36e1c4
Compare
Choose a tag to compare
  • Support codeception/lib-innerbrowser v4

3.0.0

29 Mar 18:00
14618ed
Compare
Choose a tag to compare
  • Compatibility with Codeception 5

2.1.0

24 Dec 20:16
82278ee
Compare
Choose a tag to compare

What's Changed

  • PHP 7.4 or higher is required.
  • Updated code base to PHP 7.4 (#15)
  • Update dependencies (#16)
  • The changelog has been added to the Readme file, by @Arhell in #14

2.0.1

29 Apr 14:24
d06a7e2
Compare
Choose a tag to compare

Fix Factory compatibility issue with Lumen < 7 (#12) by @ibpavlov.

2.0.0

19 Jan 05:02
47bb65e
Compare
Choose a tag to compare

New features:

  • Lumen 6, Lumen 7, and Lumen 8 compatibility.
  • Module documentation updated.
  • Added typed arguments.
  • Updated the module's code base following PHP 7.3+ standards.

Breaking changes:

  • Removed support for PHP versions lower than PHP 7.3.
  • Removed support for Lumen 5 and lower.

Minor change: Adding link to "central" parts explanation (#4) by @ThomasLandauer.

Support PHP 8

28 Oct 07:48
Compare
Choose a tag to compare

Depends on Lumen libraries actually supporting PHP 8

Initial release

19 Oct 15:27
Compare
Choose a tag to compare
1.0.0

Merged LaravelCommon traits to Lumen module